RCU_IDLE_EXIT(9)

NAME
rcu_idle_exit - inform RCU that current CPU is leaving idle

SYNOPSIS

void rcu_idle_exit(void);

ARGUMENTS

void
    no arguments

DESCRIPTION

Exit idle mode, in other words, -enter- the mode in which RCU read-side critical sections can occur.

We crowbar the ->dynticks_nesting field to DYNTICK_TASK_NEST to allow for the possibility of usermode upcalls messing up our count of interrupt nesting level during the busy period that is just now starting.

COPYRIGHT